libextractor-java0_1.0.0-1_i386.deb


Advertisement

Description

libextractor-java0 - Java bindings for GNU libextractor

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libextractor-java0_1.0.0-1_i386.deb
Package name libextractor-java0
Package version 1.0.0
Package release 1
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.gnu.org/software/libextractor/
License -
Maintainer Bertrand Marc <bmarc@debian.org>
Download size 10.91 KB
Installed size 33.00 KB
GNU libextractor provides developers of file-sharing networks, file managers,
and WWW-indexing bots with a universal library to obtain meta-data about files.
This package contains the Java bindings.

Alternatives

Package Version Architecture Repository
libextractor-java0_1.0.0-1_amd64.deb 1.0.0 amd64 Debian Main
libextractor-java0 - - -

Requires

Name Value
libc6 >= 2.4
libextractor3 >= 0.6.3

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libextractor-java0_1.0.0-1_i386.deb
Source Package libextractor-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libextractor-java0 deb package:
    # sudo apt-get install libextractor-java0

Files

Path
/usr/lib/i386-linux-gnu/libextractor_java.so.0
/usr/lib/i386-linux-gnu/libextractor_java.so.0.0.0
/usr/share/doc/libextractor-java0/changelog.Debian.gz
/usr/share/doc/libextractor-java0/changelog.gz
/usr/share/doc/libextractor-java0/copyright
/usr/share/java/libextractor-0.0.0.jar
/usr/share/java/libextractor.jar

Changelog

2016-08-22 - Bertrand Marc <bmarc@debian.org>
libextractor-java (1.0.0-1) unstable; urgency=medium
* Imported Upstream version 1.0.0.
* debian/control: add Vcs-git and Vcs-browser.
* Remove binary duplicate field "Section" for libextractor-java0 in
debian/control.
* Build-depend on sharutils to use uuencode during build.
* Build-depend only on default-jdk and not anymore on openjdk-6-jdk.
* Remove useless debian/source/options.
* debian/rules: remove useless override_dh_builddeb.
* Move to debhelpher v9.
* Remove .la files, see Debian Policy 10.2.
* New maintainer (Closes: #660443).
* Migrate from a manual "-dbg" package to an automatic generated debug symbol
package:
+ debian/control: remove libextractor-java-dbg.
+ debian/rules: use --dbgsym-migration in override_dh_strip.
* Make libextractor-java and libextractor-java-dev architecture: any
(Closes: #800547).
* Standards-version 3.9.8: no changes needed.
* debian/copyright:
+ Change license to GPL-3+, reflecting upstream change.
+ Move to copyright-format 1.0.
+ Update years and add my name for debian/* files.
* Add debian/watch.
* Add both old and new upstream gpg key to debian/upstream/signing-key.asc
and add pgpsigurlmangle to debian/watch.
2012-05-28 - Holger Levsen <holger@debian.org>
libextractor-java (0.6.0-6) unstable; urgency=low
* QA upload. (Closes: #674359)
* debian-rules: clear the dependency_libs field of
/usr/lib/libextractor_java.la as described in
http://lists.debian.org/debian-devel/2011/05/msg01003.html
2012-02-19 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor-java (0.6.0-5) experimental; urgency=low
* Orphaning package.
2011-10-18 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor-java (0.6.0-4) experimental; urgency=low
* Updating homepage field.
* Shortening version in libextractor build-depends.
* Using compression level 9 also for binary packages.
* Adding armhf to architecture list, thanks to Konstantinos Margaritis
<markos@genesi-usa.com> (Closes: #645796).
2011-09-09 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor-java (0.6.0-3) experimental; urgency=low
* Updating maintainer and uploaders fields.
* Removing vcs fields.
* Updating to standards version 3.9.2.
* Removing leftover README.source.
* Removing references to my old email address.
* Making packaging distribution neutral.
* Compacting copyright file.
* Updating year in copyright file.
* Removing leading slash from debhelper install files.
* Making build-depends on default-jdk an alternative to openjdk-6-jdk.
2010-11-21 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor-java (0.6.0-2) experimental; urgency=low
* Bumping versioned build-depends on debhelper.
* Correcting versioned build-depends on libextractor (Closes:
#598989).
* Updating to debhelper version 8.
* Updating to standards version 3.9.1.
* Using simplified autotools handling in rules.
* Switching to source format 3.0 (quilt).
* Not using simplified dh_auto_install call since that doesn't work.
2010-02-21 - Daniel Baumann <daniel.baumann@progress-technologies.net>
libextractor-java (0.6.0-1) experimental; urgency=low
* Removing not required sourcedir parameter from dh_install override.
* Updating to standards version 3.8.3.
* Adding maintainer homepage field to control.
* Marking maintainer homepage field to be also included in binary
packages and changelog.
* Adding README.source.
* Simplifying autotools handling in rules.
* Adding explicit source version 1.0 until switch to 3.0.
* Updating year in copyright file.
* Moving maintainer homepage from control to copyright.
* Updating README.source.
* Updating to standards 3.8.4.
* Merging upstream version 0.6.0.
* Updating year in copyright version.
* Making build-depends on libextractor versioned to 0.6.0.

See Also

Package Description
libextractor3_1.8-2_i386.deb extracts meta-data from files of arbitrary type (library)
libexttextcat-2.0-0_3.4.5-1_i386.deb Language detection library
libexttextcat-data_3.4.5-1_all.deb Language detection library - data files
libexttextcat-dev_3.4.5-1_i386.deb Language detection library - development files
libextunix-ocaml-dev_0.1.6-1_i386.deb Extended functions for OCaml Unix module (development package)
libextunix-ocaml_0.1.6-1_i386.deb Extended functions for OCaml Unix module (runtime package)
libextutils-autoinstall-perl_0.64-1_all.deb module to automatically install dependencies via CPAN
libextutils-cbuilder-perl_0.280230-1_all.deb module to compile and link C code for Perl modules
libextutils-cchecker-perl_0.10-1_all.deb helper module for handling C headers and libraries
libextutils-config-perl_0.008-2_all.deb wrapper around Perl's configuration hash
libextutils-cppguess-perl_0.12-1_all.deb Perl build helper to guess C++ compiler and flags
libextutils-depends-perl_0.405-1_all.deb Perl module for building extensions that depend on other extensions
libextutils-f77-perl_1.23-1_all.deb module to compile and link FORTRAN 77 code for Perl modules
libextutils-helpers-perl_0.026-1_all.deb various portability utilities for module builders
libextutils-installpaths-perl_0.012-1_all.deb module to make Build.PL install path logic easy
Advertisement
Advertisement